﻿module("VOICE")

transform_destname = {
	exitname   = L"на %s",
	exitnumber = L"на %s",
	roadname   = L"на %s",
	to         = L"на %s",
	settlement = L"на %s"
}

sentence_transform = TRANSFORM.new({
	
	{2, L"(?i)\\. +(затем,?) +", L", \\1 "},
	
	{2, L"(%p)+ *(%p)+", L"%1 "},
	{2, L"%s+(%p+)", L"%1 "},
	{2, L" +", L" "},
})

substitute_transform = TRANSFORM.new({
	{2, L"^(%u)(%u)[ -]*(%d+)", L"%1.%2. %3"},
	{2, L"\-",L" "},
	{2, L"(%d)(%a)", L"%1 %2"},
	{2, L"(%a)(%d)", L"%1 %2"},
	{2, L"//",L", "},
	
	{2, L"(?i) St\\.? +(\\d+)", L"s t \\1"},
	{2, L"(?i)^St\\.? ", L"Saint "},
	{2, L"(?i) St\\.?$", L"Street "},
	{2, L"(?i)^Dr\\.? ", L"Доктор"},
	{2, L"(?i) Dr\\.?$", L"драйв"},
	
	{1, L"Yugo-Zap", L"Yugo-Zapadnaya"},
	{1, L"Yugo-Vost", L"Yugo-Vostochnaya"},
	{1, L"TUR BAZA", L"TURISTICHESKAYA BAZA"},
	{1, L"Sev-Zap", L"Severo-Zapadnaya"},
	{1, L"Sev-Vost", L"Severo-Vostochnaya"},
	{1, L"MAL M", L"MALIY"},
	{1, L"D O", L"DOM OTDYKHA"},
	{1, L"D K", L"DOM KUL'TURY"},
	
	{1, L"Ш", L"ШОССЕ"},
	{1, L"УЛ", L"УЛИЦА"},
	{1, L"ТУП", L"ТУПИК"},
	{1, L"ПРОСП", L"ПРОСПЕКТ"},
	{1, L"ПР", L"ПРОЕЗД"},
	{1, L"ПЛ", L"ПЛОЩАДЬ"},
	{1, L"ПЕР", L"ПЕРЕУЛОК"},
	{1, L"НАБ", L"НАБЕРЕЖНАЯ"},
	{1, L"БУЛЬВ", L"БУЛЬВАР"},
	{1, L"АЛ", L"АЛЛЕЯ"},
	{1, L"ZAV", L"ZAVOD"},
	{1, L"ZAP", L"ZAPADNIY"},
	{1, L"Yuzh", L"Yuzhnaya"},
	{1, L"VOST", L"VOSTOCHNIY"},
	{1, L"VOR", L"VOROTA"},
	{1, L"VOL", L"VOLOST"},
	{1, L"Verkh", L"Verkhniy"},
	{1, L"UL", L"ULITSA"},
	{1, L"TUP", L"TUPIK"},
	{1, L"Transp", L"Transportnaya"},
	{1, L"SV", L"SVJATOGO"},
	{1, L"STAD", L"STADION"},
	{1, L"STAR", L"STARIY"},
	{1, L"Sred", L"Sredneye"},
	{1, L"SREDN", L"SREDNIY"},
	{1, L"SHK", L"SHKOLA"},
	{1, L"SH", L"SHOSSE"},
	{1, L"SEV", L"SEVERNIY"},
	{1, L"STR", L"STROENIE"},
	{1, L"S", L"SELO"},
	{1, L"Proyekt", L"Proyektiruyemaya"},
	{1, L"PROSP", L"PROSPEKT"},
	{1, L"Prof", L"Professora"},
	{1, L"PR", L"PROEZD"},
	{1, L"PL", L"PLOSHCHAD'"},
	{1, L"PER", L"PEREULOK"},
	{1, L"POS", L"POSELOK"},
	{1, L"OZ", L"OZERO"},
	{1, L"OST", L"OSTROV"},
	{1, L"o", L"ostrov"},
	{1, L"NOV", L"NOVIY"},
	{1, L"NIZH", L"NIZHNIY"},
	{1, L"NAB", L"NABEREZHNAYA"},
	{1, L"mkrn", L"mikrorayon"},
	{1, L"MKAD", L"MOSKOVSKAYA KOL'CEVAYA AVTOMOBIL'NAYA DOROGA"},
	{1, L"MARSH", L"MARSHALA"},
	{1, L"Mal", L"Malaya"},
	{1, L"M", L"MUZEY"},
	{1, L"KV", L"KVARTIRA"},
	{1, L"KRAS", L"KRASNYJJ"},
	{1, L"KHOZ", L"KHOZYAYSTVO"},
	{1, L"KAN", L"KANAL"},
	{1, L"KT", L"KINOTEATR"},
	{1, L"KORP", L"KORPUS"},
	{1, L"JUZH", L"JUZHNIY"},
	{1, L"IM", L"IMENI"},
	{1, L"Î", L"Ostrov"},
	{1, L"GOS", L"GOSUDARSTVENNIY"},
	{1, L"GEN", L"GENERALA"},
	{1, L"g", L"goda"},
	{1, L"DS", L"DETSKIY SAD"},
	{1, L"DJA", L"DETSKIE YASLI"},
	{1, L"DDOM", L"DETSKIY DOM"},
	{1, L"D", L"DOM"},
	{1, L"CENTR", L"CENTRAL'NIY"},
	{1, L"BYV", L"BYVSHIY"},
	{1, L"BUL'V", L"BUL'VAR"},
	{1, L"BUL", L"BUL'VAR"},
	{1, L"Bol", L"Bol'shaya"},
	{1, L"Arkh", L"Arkhitektora"},
	{1, L"all", L"alleya"},
	{1, L"AL", L"ALLEYA"},
	{1, L"Akad", L"Akademika"},
	{1, L"Adm", L"Admirala"},
	
})
